## AwnLabel AwnLabel |

## Functions

AwnLabel * | awn_label_new ()

## Properties

gint | font-mode | Read / Write
DesktopAgnosticColor * | text-color | Read / Write
DesktopAgnosticColor * | text-outline-color | Read / Write
gdouble | text-outline-width | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkMisc
                        ╰── GtkLabel
                            ╰── AwnLabel

## Description

## Functions

### awn_label_new ()

    AwnLabel *
    awn_label_new (void);

## Types and Values

## Property Details

### The `“font-mode”` property

      “font-mode”                gint

Font Mode.

Flags: Read / Write

Allowed values: [0,2]

Default value: 0

### The `“text-color”` property

      “text-color”               DesktopAgnosticColor *

Text color.

Flags: Read / Write

### The `“text-outline-color”` property

      “text-outline-color”       DesktopAgnosticColor *

Text outline color.

Flags: Read / Write

### The `“text-outline-width”` property

      “text-outline-width”       gdouble

Text Outline Width.

Flags: Read / Write

Allowed values: [0,10]

Default value: 2.5